Doomsday Engine - Bug #2300

[Doom] Secret exit switch in E3M6 placed too low
2018-12-10 07:07 - sonicdoommario

Status: Closed Start date: 2018-12-10
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 2.2 (2019)

Description

| remember this being an issue in an earlier version of Doomsday (1.9.10 | believe), where the secret exit switch in E3M6 wasn't even
visible. While it is visible now, | noticed that it is still positioned too low compared to where it is in Vanilla Doom. | attached two
screenshots comparing the position of switch between Chocolate Doom and Doomsday.

Associated revisions

Revision ee54cd23 - 2019-11-25 23:04 - skyjake

Fixed|Renderer: Lower texture alignment in E3M6
This is perhaps an uncommon situation, where there is a switch on the front lower texture, but the back sector ceiling is higher than the front ceiling.
History

#1 - 2018-12-11 19:57 - skyjake

- Target version setto 2.1.1

#2 - 2018-12-15 08:52 - skyjake
- Category set to Defect

- Assignee set to skyjake

#3 - 2019-02-10 17:28 - skyjake

- Target version changed from 2.1.1 to 2.1.2

#4 - 2019-10-14 10:18 - skyjake
- Target version changed from 2.1.2 to 2.2 (2019)

#5 - 2019-11-25 22:47 - skyjake

For future reference, the problem is likely around walledge.cpp:323, and pertains to material origin calculation of the lower wall section of a line with
the lower unpegged flag.

See also: https:/doomwiki.org/wiki/Texture alignment

#6 - 2019-11-25 23:04 - skyjake
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied a fix. Please test if this causes regressions elsewhere...

#7 - 2019-11-28 03:10 - sonicdoommario

Played through Ultimate Doom and didn't notice anything broken, the switch also displays properly now, thanks!

#8 - 2019-11-28 06:20 - skyjake
Great, thanks!

#9 - 2019-12-17 11:18 - skyjake
https://doomwiki.org/wiki/Texture_alignment

- Status changed from Resolved to Closed
